> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler/yarn.compiler.compilationjob/yarn.compiler.compilationjob.type.md).

# Type

Enum in [CompilationJob](/2.4/api/csharp/yarn.compiler/yarn.compiler.compilationjob.md)

Inherits from `System.Enum`

## Summary

The type of compilation that the compiler will do.

```csharp
public enum Type
{
    FullCompilation,
    DeclarationsOnly,
    StringsOnly
}
```

## Members

| Name                                                                                                                                                                   | Description                                                                                                                                           |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DeclarationsOnly](/2.4/api/csharp/yarn.compiler/yarn.compiler.compilationjob/yarn.compiler.compilationjob.type/yarn.compiler.compilationjob.type.declarationsonly.md) | The compiler will derive only the variable and function declarations, and file tags, found in the script.                                             |
| [FullCompilation](/2.4/api/csharp/yarn.compiler/yarn.compiler.compilationjob/yarn.compiler.compilationjob.type/yarn.compiler.compilationjob.type.fullcompilation.md)   | The compiler will do a full compilation, and generate a [Program](/2.4/api/csharp/yarn/yarn.program.md) , function declaration set, and string table. |
| [StringsOnly](/2.4/api/csharp/yarn.compiler/yarn.compiler.compilationjob/yarn.compiler.compilationjob.type/yarn.compiler.compilationjob.type.stringsonly.md)           | The compiler will generate a string table only.                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.compiler/yarn.compiler.compilationjob/yarn.compiler.compilationjob.type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
